/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Parameters.h"

namespace morpheo {
namespace behavioural {
@NAMESPACE_BEGIN

#undef  FUNCTION
#define FUNCTION "@COMPONENT::Parameters"
  Parameters::Parameters ()
  {
    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
    test();
    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
  };
  
#undef  FUNCTION
#define FUNCTION "@COMPONENT::Parameters (copy)"
  Parameters::Parameters (Parameters & param)
  {
    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
    test();
    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
  };

#undef  FUNCTION
#define FUNCTION "@COMPONENT::~Parameters"
  Parameters::~Parameters () 
  {
    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");
    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
